osl::game_playing::HistoryToTable Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
osl::game_playing::HistoryToTable Struct Reference

`#include <historyToTable.h>`

## Static Public Member Functions
static void | adjustDominance (const hash::HashKey &key, search::SimpleHashTable &table, int black_win, int white_win, const Move &good_move)
| key の局面の持駒の増減させた局面を記録 More...
static void | adjustTable (const GameState &, search::SimpleHashTable &table, int black_win, int draw, int white_win)
| table に千日手情報，水平線対策情報を記録 More...
static void | setPV (const PVHistory &, const GameState &, search::SimpleHashTable &table)

## Static Public Attributes
static const int | LIMIT = osl::search::SearchTable::HistorySpecialDepth
| table に書き込む深さ More...

## Detailed Description

Definition at line 21 of file historyToTable.h.

## Member Function Documentation

void osl::game_playing::HistoryToTable::adjustDominance | ( | const hash::HashKey & | key,
|  | search::SimpleHashTable & | table,
|  | int | black_win,
|  | int | white_win,
|  | const Move & | good_move
| ) |  |
| static

key の局面の持駒の増減させた局面を記録

Definition at line 20 of file historyToTable.cc.

References osl::PieceStand::add(), osl::search::SimpleHashTable::allocate(), osl::BLACK, osl::PieceStand::canAdd(), osl::PieceStand::get(), order, osl::PieceStand::sub(), and osl::WHITE.

void osl::game_playing::HistoryToTable::adjustTable | ( | const GameState & | ,
|  | search::SimpleHashTable & | table,
|  | int | black_win,
|  | int | draw,
|  | int | white_win
| ) |  |
| static

table に千日手情報，水平線対策情報を記録

Definition at line 66 of file historyToTable.cc.

References osl::BLACK, osl::game_playing::GameState::counter(), osl::RepetitionCounter::distanceToSennichite(), osl::game_playing::GameState::hashHistory(), osl::game_playing::GameState::moveHistory(), osl::container::MoveStack::push(), result, and osl::game_playing::GameState::state().

Referenced by osl::game_playing::SearchPlayer::setUpTable().

void osl::game_playing::HistoryToTable::setPV | ( | const PVHistory & | pv_history,
|  | const GameState & | gstate,
|  | search::SimpleHashTable & | table
| ) |  |
| static

Definition at line 117 of file historyToTable.cc.

References osl::search::SimpleHashTable::allocate(), osl::game_playing::GameState::getInitialState(), osl::Move::isNormal(), osl::search::SimpleHashTable::isVerbose(), osl::game_playing::GameState::moveHistory(), osl::search::SimpleHashRecord::setBestMove(), osl::record::csa::show(), and osl::game_playing::GameState::state().

Referenced by osl::game_playing::SearchPlayer::setUpTable().

## Member Data Documentation

const int osl::game_playing::HistoryToTable::LIMIT = osl::search::SearchTable::HistorySpecialDepth
| static

table に書き込む深さ

Definition at line 24 of file historyToTable.h.

The documentation for this struct was generated from the following files:

- historyToTable.h
- historyToTable.cc